For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settings

Get Settings

get
/settings
Responses
200

Successfully got settings

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got settings
get/settings
GET /backend/api/settings HTTP/1.1
Host: 139.59.67.17
Accept: */*
200

Successfully got settings

{
  "status": 1,
  "message": "Successfully got settings"
}

Update store settings

post
/settings
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
metaTagTitlestringOptional
metaTagDescriptionstringOptional
metaTagKeywordsstringOptional
businessNamestringOptional
siteUrlstringOptional
storeOwnerstringOptional
storeAddress1stringOptional
storeAddress2stringOptional
storeDescriptionstringOptional
storeEmailstringOptional
storeTelephonestringOptional
storeCitystringOptional
storePostalCodestringOptional
siteCategorystringOptional
maintenanceModeintegerOptional
storeLanguageNamestringOptional
storeSecondaryLanguageNamestringOptional
storeCurrencyIdintegerOptional
timeZonestringOptional
twitterstringOptional
linkedInstringOptional
instagramstringOptional
youtubestringOptional
facebookstringOptional
statusintegerOptional
invoicePrefixstringOptional
orderStatusintegerOptional
categoryProductCountintegerOptional
itemsPerPageintegerOptional
settingIdintegerOptional
accessKeystringOptional
siteNamestringOptional
timeFormatstringOptional
currencySymbolstringOptional
defaultCountryintegerOptional
zoneIdintegerOptional
countryIdintegerOptional
countrystringOptional
defaultWebsiteintegerOptional
Responses
200

Settings Updated Successfully

post/settings
POST /backend/api/settings HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 794

{
  "metaTagTitle": "text",
  "metaTagDescription": "text",
  "metaTagKeywords": "text",
  "businessName": "text",
  "siteUrl": "text",
  "storeOwner": "text",
  "storeAddress1": "text",
  "storeAddress2": "text",
  "storeDescription": "text",
  "storeEmail": "text",
  "storeTelephone": "text",
  "storeCity": "text",
  "storePostalCode": "text",
  "siteCategory": "text",
  "maintenanceMode": 1,
  "storeLanguageName": "text",
  "storeSecondaryLanguageName": "text",
  "storeCurrencyId": 1,
  "timeZone": "text",
  "twitter": "text",
  "linkedIn": "text",
  "instagram": "text",
  "youtube": "text",
  "facebook": "text",
  "status": 1,
  "invoicePrefix": "text",
  "orderStatus": 1,
  "categoryProductCount": 1,
  "itemsPerPage": 1,
  "settingId": 1,
  "accessKey": "text",
  "siteName": "text",
  "timeFormat": "text",
  "currencySymbol": "text",
  "defaultCountry": 1,
  "zoneId": 1,
  "countryId": 1,
  "country": "text",
  "defaultWebsite": 1
}

No content

Get Country List

get
/country
Query parameters
limitintegerOptional

Limit of records

Default: 0
offsetintegerOptional

Offset for pagination

Default: 0
keywordstringOptional

Search keyword

countintegerOptional

Flag to get count (0 or 1)

Default: 0
statusintegerOptional

Filter by status

Default: 1
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully got all country list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully get all country List
get/country
GET /backend/api/country HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully got all country list

{
  "status": 1,
  "message": "Successfully get all country List"
}

Add a new country

post
/country
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequired

The name of the country

isoCode2stringRequired

The 2-letter ISO code for the country

isoCode3stringRequired

The 3-letter ISO code for the country

postcodeRequiredintegerOptional

Indicates whether a postcode is required (1 for true, 0 for false)

statusstringOptional

The status of the country (e.g., 0 for inactive, 1 for active)

countryIdstringOptional

The country ID (set to 0 for new country)

Responses
200

Successfully added the new country

*/*
statusintegerOptional
messagestringOptional
post/country
POST /backend/api/country HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 107

{
  "name": "text",
  "isoCode2": "text",
  "isoCode3": "text",
  "postcodeRequired": 1,
  "status": "text",
  "countryId": "text"
}
{
  "status": 1,
  "message": "text"
}

Get Zone List

get
/list/zone
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully got all zone list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully get all zone list
get/list/zone
GET /backend/api/list/zone HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully got all zone list

{
  "status": 1,
  "message": "Successfully get all zone list"
}

Get Settings by ID

get
/settings/{id}
Path parameters
idintegerRequired

ID of the setting to fetch

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully fetched the settings

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully get settings
get/settings/{id}
GET /backend/api/settings/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully fetched the settings

{
  "status": 1,
  "message": "Successfully get settings"
}

Get complete list of currencies

get
/currency
Query parameters
limitintegerOptional

Limit the number of results

offsetintegerOptional

Offset for pagination

keywordstringOptional

Search keyword to filter the currencies

countintegerOptional

Count flag (should be 0 or true/false)

statusintegerOptional

Filter currencies by status (1 for active)

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the currency list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the complete currency list
get/currency
GET /backend/api/currency HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the currency list

{
  "status": 1,
  "message": "Successfully got the complete currency list"
}

Add a new currency

post
/currency

Adds a new currency to the system.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
titlestringRequiredExample: test
codestringRequiredExample: sdf
symbolLeftstringOptionalExample: s
symbolRightstringOptionalExample: null
valuenumber · floatRequiredExample: 0
statusstringRequiredExample: 1
Responses
200

Successfully added a new currency

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully added new currency
post/currency
POST /backend/api/currency HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 90

{
  "title": "test",
  "code": "sdf",
  "symbolLeft": "s",
  "symbolRight": "null",
  "value": 0,
  "status": "1"
}
{
  "status": 1,
  "message": "Successfully added new currency"
}

Get complete list of languages

get
/language
Query parameters
limitintegerOptional

Limit the number of results

offsetintegerOptional

Offset for pagination

countbooleanOptional

Count flag (should be 0 or true/false)

keywordstringOptional

Search keyword to filter the languages

statusintegerOptional

Filter languages by status (1 for active)

defaultLanguagebooleanOptional

Filter by default language

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the language list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got all language List
get/language
GET /backend/api/language HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the language list

{
  "status": 1,
  "message": "Successfully got all language List"
}

Get complete list of categories

get
/category
Query parameters
limitintegerOptional

Limit the number of results

offsetintegerOptional

Offset for pagination

keywordstringOptional

Search keyword to filter the categories

sortOrderintegerOptional

Sort order (0 for ascending, 1 for descending)

statusintegerOptional

Filter categories by status (1 for active)

namestringOptional

Filter categories by name

industryIdintegerOptional

Filter categories by industry ID

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the category list

*/*
statusintegerOptional
messagestringOptional
get/category
GET /backend/api/category HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the category list

{
  "status": 1,
  "message": "text"
}

Update an existing country

put
/country/{id}
Path parameters
idintegerRequired

The ID of the country to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequired

The name of the country

isoCode2stringRequired

The 2-letter ISO code for the country

isoCode3stringRequired

The 3-letter ISO code for the country

postcodeRequiredintegerOptional

Indicates whether a postcode is required (1 for true, 0 for false)

statusstringOptional

The status of the country (e.g., 0 for inactive, 1 for active)

countryIdstringOptional

The country ID being updated

Responses
200

Successfully updated the country

*/*
statusintegerOptional
messagestringOptional
put/country/{id}
PUT /backend/api/country/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 107

{
  "name": "text",
  "isoCode2": "text",
  "isoCode3": "text",
  "postcodeRequired": 1,
  "status": "text",
  "countryId": "text"
}
{
  "status": 1,
  "message": "text"
}

Delete an existing country

delete
/country/{id}
Path parameters
idintegerRequired

The ID of the country to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the country

*/*
statusintegerOptional
messagestringOptional
delete/country/{id}
DELETE /backend/api/country/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Update an existing language

put
/language/{id}
Path parameters
idintegerRequired

The ID of the language to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
codestringRequired

The language code

namestringRequired

The language name

imagestringOptional

The image associated with the language

sortOrderintegerOptional

The sort order of the language

statusstringRequired

The status of the language

languageIdintegerRequired

The unique ID of the language to update

Responses
200

Successfully updated the language

*/*
statusintegerOptional
messagestringOptional
put/language/{id}
PUT /backend/api/language/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 89

{
  "code": "text",
  "name": "text",
  "image": "text",
  "sortOrder": 1,
  "status": "text",
  "languageId": 1
}
{
  "status": 1,
  "message": "text"
}

Delete a language

delete
/language/{id}
Path parameters
idintegerRequired

The ID of the language to be deleted

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the language

*/*
statusintegerOptional

Status code

messagestringOptional

Success message

delete/language/{id}
DELETE /backend/api/language/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Create a new language

post
/language/
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
codestringRequired

The language code

namestringRequired

The language name

imagestringOptional

The image associated with the language (optional)

sortOrderintegerOptional

The sort order of the language

statusstringRequired

The status of the language

Responses
200

Successfully added a new language

*/*
statusintegerOptional
messagestringOptional
post/language/
POST /backend/api/language/ HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 74

{
  "code": "text",
  "name": "text",
  "image": "text",
  "sortOrder": 1,
  "status": "text"
}
{
  "status": 1,
  "message": "text"
}

Get all zones

get
/zone
Query parameters
limitintegerOptional

The number of zones to retrieve. Defaults to 10.

offsetintegerOptional

The offset for pagination. Defaults to 0.

keywordstringOptional

A keyword to search zones.

countbooleanOptional

If true, will return a count of zones instead of the zone list.

statusintegerOptional

The status of the zones (1 for active, 0 for inactive).

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved all zone list

*/*
statusintegerOptional

Status code

messagestringOptional

Success message

get/zone
GET /backend/api/zone HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Create a new zone

post
/zone
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
countryIdintegerRequired

The country ID to which the zone belongs.

codestringRequired

The unique code for the zone.

namestringRequired

The name of the zone.

statusintegerRequired

The status of the zone (1 for active, 0 for inactive).

Responses
200

Successfully created a new zone

*/*
statusintegerOptional

Status code

messagestringOptional

Success message

post/zone
POST /backend/api/zone HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 54

{
  "countryId": 1,
  "code": "text",
  "name": "text",
  "status": 1
}
{
  "status": 1,
  "message": "text"
}

Update an existing zone

put
/zone/{zoneId}

Updates a zone with the provided details.

Path parameters
zoneIdinteger · int64Required

ID of the zone to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
countryIdintegerRequiredExample: 4
codestringRequiredExample: df
namestringRequiredExample: test
statusstringRequiredExample: 1
zoneIdintegerRequiredExample: 110
Responses
200

Successfully updated the zone

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully updated the zone
put/zone/{zoneId}
PUT /backend/api/zone/{zoneId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 67

{
  "countryId": 4,
  "code": "df",
  "name": "test",
  "status": "1",
  "zoneId": 110
}
{
  "status": 1,
  "message": "Successfully updated the zone"
}

Delete a zone

delete
/zone/{zoneId}

Deletes a zone identified by its ID.

Path parameters
zoneIdinteger · int64Required

ID of the zone to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the zone

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted the Zone
delete/zone/{zoneId}
DELETE /backend/api/zone/{zoneId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the Zone"
}

Update an existing currency

put
/currency/{currencyId}

Updates an existing currency with the provided details.

Path parameters
currencyIdintegerRequired

ID of the currency to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
titlestringRequiredExample: test
codestringRequiredExample: sdf
symbolLeftstringOptionalExample: s
symbolRightstringOptionalExample: null
valuenumber · floatRequiredExample: 0
statusstringRequiredExample: 1
Responses
200

Successfully updated the currency

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully updated the currency
put/currency/{currencyId}
PUT /backend/api/currency/{currencyId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 90

{
  "title": "test",
  "code": "sdf",
  "symbolLeft": "s",
  "symbolRight": "null",
  "value": 0,
  "status": "1"
}
{
  "status": 1,
  "message": "Successfully updated the currency"
}

Delete an existing currency

delete
/currency/{currencyId}

Deletes an existing currency by ID.

Path parameters
currencyIdintegerRequired

ID of the currency to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the currency

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted the currency
delete/currency/{currencyId}
DELETE /backend/api/currency/{currencyId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the currency"
}

Get a list of taxes

get
/tax/tax-list

Retrieves a list of taxes based on the given filters.

Query parameters
limitintegerOptional

The maximum number of items to return

Default: 10
offsetintegerOptional

The offset for pagination

Default: 0
keywordstringOptional

Search keyword for filtering tax list

countbooleanOptional

If true, returns only the count of taxes, not the actual list

Default: false
statusstringOptional

Filter by status (e.g., active/inactive)

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the list of taxes

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully get all tax list
get/tax/tax-list
GET /backend/api/tax/tax-list HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully get all tax list"
}

Add a new tax

post
/tax/add-tax

Creates a new tax record with the provided details.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
taxNamestringRequiredExample: test
taxPercentagestringRequiredExample: 44
taxStatusstringRequiredExample: 1
Responses
200

Successfully created the new tax

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully created new tax
post/tax/add-tax
POST /backend/api/tax/add-tax HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 55

{
  "taxName": "test",
  "taxPercentage": "44",
  "taxStatus": "1"
}
{
  "status": 1,
  "message": "Successfully created new tax"
}

Update tax details

put
/tax/update-tax/{taxId}

Updates the tax with the provided ID and new details.

Path parameters
taxIdintegerRequired

The ID of the tax to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
taxNamestringRequiredExample: test
taxPercentageintegerRequiredExample: 44
taxStatusstringRequiredExample: 1
Responses
200

Successfully updated the tax

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully updated the tax
put/tax/update-tax/{taxId}
PUT /backend/api/tax/update-tax/{taxId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 53

{
  "taxName": "test",
  "taxPercentage": 44,
  "taxStatus": "1"
}
{
  "status": 1,
  "message": "Successfully updated the tax"
}

Delete a tax

delete
/tax/delete-tax/{taxId}

Deletes a tax by ID.

Path parameters
taxIdintegerRequired

The ID of the tax to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the tax

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted the tax
delete/tax/delete-tax/{taxId}
DELETE /backend/api/tax/delete-tax/{taxId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the tax"
}

Get role list

get
/role/rolelist

Fetches a list of all roles with optional pagination and filtering.

Query parameters
limitintegerOptional

The number of results to return per page.

Default: 10
offsetintegerOptional

The number of records to skip before starting to return results.

Default: 0
countbooleanOptional

Indicates whether to count the total number of records available.

Default: false
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully fetched the role list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully get all role list
get/role/rolelist
GET /backend/api/role/rolelist HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully fetched the role list

{
  "status": 1,
  "message": "Successfully get all role list"
}

Create a new role

post
/role/create-role

Creates a new role with a name and status.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequiredExample: test
statusbooleanRequiredExample: true
Responses
200

Successfully created a new role

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully created a new role
post/role/create-role
POST /backend/api/role/create-role HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 29

{
  "name": "test",
  "status": true
}
{
  "status": 1,
  "message": "Successfully created a new role"
}

Update an existing role

put
/role/update-role/{roleId}

Updates the role details (name and status) for a given roleId.

Path parameters
roleIdintegerRequired

ID of the role to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequiredExample: testtttt
statusintegerRequiredExample: 1
idintegerRequiredExample: 30
Responses
200

Role updated successfully

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Role updated successfully
put/role/update-role/{roleId}
PUT /backend/api/role/update-role/{roleId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 38

{
  "name": "testtttt",
  "status": 1,
  "id": 30
}
200

Role updated successfully

{
  "status": 1,
  "message": "Role updated successfully"
}

Get a complete list of permission modules

get
/permission-module/list

Retrieves a list of permission modules with pagination and filtering options.

Query parameters
limitintegerOptional

The number of permission modules to retrieve per request

offsetintegerOptional

The offset to retrieve the list from

keywordstringOptional

Search keyword to filter the permission modules

countbooleanOptional

Flag to include count in the response

statusstringOptional

Filter permission modules by status

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the list of permission modules

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the complete list of pages
get/permission-module/list
GET /backend/api/permission-module/list HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the list of permission modules

{
  "status": 1,
  "message": "Successfully got the complete list of pages"
}

Get permissions based on reference type and reference ID

get
/permission-module/get-permission

Retrieves a list of permissions for a specific reference type and ID.

Query parameters
refTypeintegerRequired

The reference type (e.g., 1 for a specific object)

refIdintegerRequired

The reference ID to fetch permissions for

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the permission list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got permission list
get/permission-module/get-permission
GET /backend/api/permission-module/get-permission?refType=1&refId=1 HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the permission list

{
  "status": 1,
  "message": "Successfully got permission list"
}

Add permissions based on reference type and reference ID

post
/permission-module/add-permission

Adds a list of permissions for a specific reference type and ID.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
refTypeintegerRequiredExample: 1
permissionstring[]RequiredExample: ["list-order"]
refIdintegerRequiredExample: 30
Responses
200

Successfully updated the permissions

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully updated the permission
post/permission-module/add-permission
POST /backend/api/permission-module/add-permission HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 52

{
  "refType": 1,
  "permission": [
    "list-order"
  ],
  "refId": 30
}
200

Successfully updated the permissions

{
  "status": 1,
  "message": "Successfully updated the permission"
}

Delete a role by ID

delete
/role/delete-role/{roleId}

Deletes the role identified by the provided role ID.

Path parameters
roleIdintegerRequired

ID of the role to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the role

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted the role
delete/role/delete-role/{roleId}
DELETE /backend/api/role/delete-role/{roleId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully deleted the role

{
  "status": 1,
  "message": "Successfully deleted the role"
}

Get list of users

get
/auth/userlist

Retrieves a list of users based on the provided parameters like limit, offset, and status.

Query parameters
limitintegerOptional

Limit of users per request

Default: 10
offsetintegerOptional

Offset to start fetching the list

Default: 0
countbooleanOptional

Whether to count the total number of users

Default: false
statusstringOptional

Filter users based on their status

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the user list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got all user list
get/auth/userlist
GET /backend/api/auth/userlist HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the user list

{
  "status": 1,
  "message": "Successfully got all user list"
}

Create a new user

post
/auth/create-user

Creates a new user in the system with the provided user details.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
firstNamestringRequired

The user's first name

lastNamestringRequired

The user's last name

emailstring · emailRequired

The user's email address

userGroupIdintegerRequired

The ID of the user's group

usernamestringRequired

The user's username

passwordstringRequired

The user's password

Responses
200

Successfully created the user

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: User created successfully
post/auth/create-user
POST /backend/api/auth/create-user HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 115

{
  "firstName": "text",
  "lastName": "text",
  "email": "name@gmail.com",
  "userGroupId": 1,
  "username": "text",
  "password": "text"
}
{
  "status": 1,
  "message": "User created successfully"
}

Update a user

put
/auth/update-user/{userId}

Updates an existing user in the system with the provided user details.

Path parameters
userIdintegerRequired

ID of the user to be updated

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
firstNamestringRequired

The user's first name

lastNamestringRequired

The user's last name

emailstring · emailRequired

The user's email address

userGroupIdintegerRequired

The ID of the user's group

usernamestringRequired

The user's username

passwordstringRequired

The user's password (hashed)

idintegerRequired

The ID of the user being updated

Responses
200

Successfully updated the user

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: User updated successfully
put/auth/update-user/{userId}
PUT /backend/api/auth/update-user/{userId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 122

{
  "firstName": "text",
  "lastName": "text",
  "email": "name@gmail.com",
  "userGroupId": 1,
  "username": "text",
  "password": "text",
  "id": 1
}
{
  "status": 1,
  "message": "User updated successfully"
}

Delete a user

delete
/auth/delete-user/{userId}

Deletes an existing user by user ID.

Path parameters
userIdintegerRequired

ID of the user to be deleted

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the user

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: User deleted successfully
delete/auth/delete-user/{userId}
DELETE /backend/api/auth/delete-user/{userId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "User deleted successfully"
}

Update maintenance mode

put
/settings/maintainance

This endpoint is used to enable or disable the maintenance mode.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
modeintegerRequired

Set mode: 0 to disable maintenance mode, 1 to enable maintenance mode.

Example: 0
idintegerRequired

The ID of the setting to update

Example: 2
Responses
200

Successfully updated the maintenance mode

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Maintainance mode updated successfully
put/settings/maintainance
PUT /backend/api/settings/maintainance HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 17

{
  "mode": 0,
  "id": 2
}
{
  "status": 1,
  "message": "Maintainance mode updated successfully"
}

Retrieve audit log list

get
/auditlog/auditLog-list

This endpoint is used to retrieve a list of audit logs with pagination and optional filters.

Query parameters
offsetintegerOptional

The number of items to skip (used for pagination)

Default: 0
limitintegerOptional

The number of items to return (used for pagination)

Default: 20
keywordstringOptional

Keyword to filter the results by

modulestringOptional

Filter the audit logs by the module

actionBystringOptional

Filter the audit logs by the user who performed the action

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved audit log list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got a audit log list
get/auditlog/auditLog-list
GET /backend/api/auditlog/auditLog-list HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got a audit log list"
}

Retrieve module log list

get
/auditlog/module-list

This endpoint is used to retrieve a list of modules involved in audit logs.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved module log list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got a module log list
get/auditlog/module-list
GET /backend/api/auditlog/module-list HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got a module log list"
}

Delete audit logs within a specified date range

post
/auditlog/delete-auditlog

This endpoint allows the deletion of audit logs between the given fromDate and toDate.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
fromDatestringRequired

The starting date for the range of audit logs to delete

Example: 2024-1-1
toDatestringRequired

The ending date for the range of audit logs to delete

Example: 2024-1-1
Responses
200

Successfully deleted the audit logs within the specified date range

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted audit logs
post/auditlog/delete-auditlog
POST /backend/api/auditlog/delete-auditlog HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 43

{
  "fromDate": "2024-1-1",
  "toDate": "2024-1-1"
}
{
  "status": 1,
  "message": "Successfully deleted audit logs"
}

Fetch the list of order statuses

get
/order-status/order-status-list

This endpoint retrieves a list of order statuses based on the provided filters like status and keyword.

Query parameters
statusintegerOptional

Filter by status. If not provided, fetches all statuses.

keywordstringOptional

Filter by a keyword to search order statuses.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the order status list

*/*
statusintegerOptional

The status of the request, 1 for success

messagestringOptional

A message providing details about the status of the request

get/order-status/order-status-list
GET /backend/api/order-status/order-status-list HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Fetch the list of email templates

get
/email-template/email-templatelist

This endpoint retrieves a list of email templates based on the provided filters like limit, offset, keyword, and count.

Query parameters
limitintegerOptional

Limit the number of email templates returned.

offsetintegerOptional

Offset to start fetching the email templates.

keywordstringOptional

Filter by keyword to search email templates.

countbooleanOptional

If set to 1, it will return the count of email templates.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the email template list

*/*
statusintegerOptional

The status of the request, 1 for success

messagestringOptional

A message providing details about the request

get/email-template/email-templatelist
GET /backend/api/email-template/email-templatelist HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Update an existing email template

put
/email-template/update-email-template/{id}

This endpoint allows updating an existing email template based on the provided template Id.

Path parameters
idintegerRequired

The unique identifier of the email template to be updated

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
titlestringOptional

The title of the email template

subjectstringOptional

The subject of the email template

contentstringOptional

The content/body of the email template

statusintegerOptional

The status of the email template (1 for active, 0 for inactive)

dynamicFieldsRefstringOptional

The dynamic fields reference for the email template

Responses
200

Successfully updated the email template

*/*
statusintegerOptional

The status of the request, 1 for success

messagestringOptional

A message providing details about the request

put/email-template/update-email-template/{id}
PUT /backend/api/email-template/update-email-template/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 87

{
  "title": "text",
  "subject": "text",
  "content": "text",
  "status": 1,
  "dynamicFieldsRef": "text"
}
{
  "status": 1,
  "message": "text"
}

Get order fulfillment status list

get
/order-status/order-fullfillment-status-list

This endpoint retrieves the complete list of order fulfillment statuses.

Query parameters
limitintegerOptional

Number of records to return in a single response

offsetintegerOptional

Offset from which to start the records (for pagination)

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the order fulfillment status list

*/*
statusintegerOptional

The status of the operation

messagestringOptional

The response message

get/order-status/order-fullfillment-status-list
GET /backend/api/order-status/order-fullfillment-status-list HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the complete Order full-fillment status list"
}

Create a new order status

post
/order-status/create-order-status

This endpoint creates a new order status with the given details.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
isFullfillmentintegerOptional

Indicates if the order status is related to fulfillment

namestringOptional

Name of the order status

colorCodestringOptional

Hexadecimal color code for the order status

prioritystringOptional

Priority level of the order status

statusintegerOptional

Status of the order (1 for active, 0 for inactive)

isAdminintegerOptional

Indicates if the order status is for admin

isVendorintegerOptional

Indicates if the order status is for vendor

isBuyerintegerOptional

Indicates if the order status is for buyer

isApiintegerOptional

Indicates if the order status is related to API

Responses
200

Successfully created a new order status

*/*
statusintegerOptional
messagestringOptional
post/order-status/create-order-status
POST /backend/api/order-status/create-order-status HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 129

{
  "isFullfillment": 1,
  "name": "test",
  "colorCode": "#2e1515",
  "priority": "4",
  "status": 1,
  "isAdmin": 1,
  "isVendor": 0,
  "isBuyer": 0,
  "isApi": 0
}
{
  "status": 1,
  "message": "Successfully created a new order status"
}

Update an existing order status

put
/order-status/update-order-status/{orderStatusId}

This endpoint updates an existing order status with the provided details.

Path parameters
orderStatusIdintegerRequired

ID of the order status to be updated

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
isFullfillmentintegerOptional

Indicates if the order status is related to fulfillment

namestringOptional

Name of the order status

colorCodestringOptional

Hexadecimal color code for the order status

priorityintegerOptional

Priority level of the order status

statusintegerOptional

Status of the order (1 for active, 0 for inactive)

parentIdintegerOptional

ID of the parent order status

isAdminintegerOptional

Indicates if the order status is for admin

isVendorintegerOptional

Indicates if the order status is for vendor

isBuyerintegerOptional

Indicates if the order status is for buyer

isApiintegerOptional

Indicates if the order status is related to API

orderStatusIdintegerOptional

ID of the order status

Responses
200

Successfully updated the order status

*/*
statusintegerOptional
messagestringOptional
put/order-status/update-order-status/{orderStatusId}
PUT /backend/api/order-status/update-order-status/{orderStatusId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 159

{
  "isFullfillment": 1,
  "name": "test",
  "colorCode": "#2e1515",
  "priority": 4,
  "status": 1,
  "parentId": 0,
  "isAdmin": 1,
  "isVendor": 0,
  "isBuyer": 0,
  "isApi": 0,
  "orderStatusId": 54
}
{
  "status": 1,
  "message": "Successfully updated the order status"
}

Update the order fulfillment status

put
/order-status/update-order-fullfillment-status/{orderStatusId}

This endpoint updates the order fulfillment status for a specific order status ID.

Path parameters
orderStatusIdintegerRequired

ID of the order status whose fulfillment status is to be updated

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
statusintegerOptional

The order fulfillment status (1 for active, 0 for inactive)

Responses
200

Successfully updated the order fulfillment status

*/*
statusintegerOptional
messagestringOptional
put/order-status/update-order-fullfillment-status/{orderStatusId}
PUT /backend/api/order-status/update-order-fullfillment-status/{orderStatusId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 12

{
  "status": 0
}
{
  "status": 1,
  "message": "Successfully updated order fulfillment status"
}

Delete the order status

delete
/order-status/{orderStatusId}

This endpoint deletes the order status for a given order status ID.

Path parameters
orderStatusIdintegerRequired

ID of the order status to be deleted

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the order status

*/*
statusintegerOptional
messagestringOptional
delete/order-status/{orderStatusId}
DELETE /backend/api/order-status/{orderStatusId} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the order status"
}

Get complete order fulfillment status list

get
/order-status/fullfillment

This endpoint retrieves a complete list of order fulfillment statuses.

Query parameters
limitintegerOptional

Limit the number of results

offsetintegerOptional

Offset for pagination

isFullfillmentintegerOptional

Filter by fulfillment status

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the order fulfillment status list

*/*
statusintegerOptional
messagestringOptional
get/order-status/fullfillment
GET /backend/api/order-status/fullfillment HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the order fulfillment status list

{
  "status": 1,
  "message": "Successfully got the complete Order full-fillment status list"
}

Assign order statuses to fulfillment statuses

put
/order-status/fullfillment

This endpoint assigns multiple order statuses to fulfillment statuses.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Bodyobject[]
orderStatusIdintegerRequired
fullfillmentStatusIdsinteger[]Required
Responses
200

Successfully updated order statuses with fulfillment status assignments

*/*
statusintegerOptional
messagestringOptional
put/order-status/fullfillment
PUT /backend/api/order-status/fullfillment HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 49

[
  {
    "orderStatusId": 1,
    "fullfillmentStatusIds": [
      1
    ]
  }
]
200

Successfully updated order statuses with fulfillment status assignments

{
  "status": 1,
  "message": "Successfully updated order status"
}

Create new order fulfillment status

post
/order-status/fullfillment

This endpoint creates a new order fulfillment status.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
isFullfillmentintegerRequiredExample: 1
namestringRequiredExample: test
colorCodestringRequiredExample: #9c2a2a
priorityintegerRequiredExample: 5
statusintegerRequiredExample: 1
Responses
200

Successfully created order fulfillment status

*/*
statusintegerOptional
messagestringOptional
post/order-status/fullfillment
POST /backend/api/order-status/fullfillment HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 80

{
  "isFullfillment": 1,
  "name": "test",
  "colorCode": "#9c2a2a",
  "priority": 5,
  "status": 1
}
200

Successfully created order fulfillment status

{
  "status": 1,
  "message": "Successfully created full-fillment status"
}

Update order fulfillment status

put
/order-status/fullfillment/{id}

This endpoint updates the status of an existing order fulfillment.

Path parameters
idintegerRequired

The ID of the order fulfillment status to be updated.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
idintegerRequired
statusintegerRequired
Responses
200

Successfully updated the order fulfillment status

*/*
statusintegerOptional
messagestringOptional
put/order-status/fullfillment/{id}
PUT /backend/api/order-status/fullfillment/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 20

{
  "id": 23,
  "status": 0
}
200

Successfully updated the order fulfillment status

{
  "status": 1,
  "message": "Successfully updated the order status"
}

Delete order fulfillment status

delete
/order-status/fullfillment/{id}

This endpoint deletes an existing order fulfillment status.

Path parameters
idintegerRequired

The ID of the order fulfillment status to be deleted.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the order fulfillment status

*/*
statusintegerOptional
messagestringOptional
delete/order-status/fullfillment/{id}
DELETE /backend/api/order-status/fullfillment/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully deleted the order fulfillment status

{
  "status": 1,
  "message": "Successfully deleted the order status"
}

Get the plugin list

get
/plugins/

This endpoint retrieves the list of available plugins.

Responses
200

Successfully retrieved the plugin list

*/*
statusintegerOptional
messagestringOptional
get/plugins/
GET /backend/api/plugins/ HTTP/1.1
Host: 139.59.67.17
Accept: */*
{
  "status": 1,
  "message": "Successfully got the plugin list"
}

Get plugin details

get
/plugins/{id}

This endpoint retrieves the details of a specific plugin by its ID.

Path parameters
idintegerRequired

The ID of the plugin.

Query parameters
idintegerOptional

Optional query parameter for the plugin ID.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the plugin details

*/*
statusintegerOptional
messagestringOptional
get/plugins/{id}
GET /backend/api/plugins/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the plugin detail"
}

Update plugin status

put
/plugins/{id}

This endpoint updates the status of a specific plugin.

Path parameters
idintegerRequired

The ID of the plugin to be updated.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
pluginStatusstringRequiredExample: 0
Responses
200

Successfully updated the plugin status

*/*
statusintegerOptional
messagestringOptional
put/plugins/{id}
PUT /backend/api/plugins/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 20

{
  "pluginStatus": "0"
}
{
  "status": 1,
  "message": "Successfully updated the plugin status"
}

Update PayPal payment settings

post
/paypal-payment

This endpoint updates PayPal settings, including client credentials and test mode.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
clientIdstringRequired

The client ID for PayPal API.

clientSecretstringRequired

The client secret for PayPal API.

isTestbooleanRequired

Flag to indicate if PayPal is in test mode.

Responses
200

Successfully updated the PayPal payment settings

*/*
statusintegerOptional
messagestringOptional
post/paypal-payment
POST /backend/api/paypal-payment HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 55

{
  "clientId": "text",
  "clientSecret": "text",
  "isTest": true
}
{
  "status": 1,
  "message": "Paypal settings updated successfully"
}

Get attribute list

get
/attribute

Retrieve a list of product attributes with optional pagination and search keyword.

Query parameters
limitintegerOptional

Number of records to return

Example: 10
offsetintegerOptional

Offset for pagination

Example: 0
keywordstringOptional

Search keyword to filter attributes

Example: color
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the attribute list

*/*
statusintegerOptional
messagestringOptional
get/attribute
GET /backend/api/attribute HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the attribute list

{
  "status": 1,
  "message": "Successfully got the attribute list"
}

Create a new attribute

post
/attribute/

This endpoint creates a new attribute with specified properties.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequiredExample: test
typestringRequiredExample: short-text
isMandatoryintegerRequiredExample: 0
useAsFilterintegerOptionalExample: 1
isActiveintegerRequiredExample: 1
descriptionstringOptionalExample: test
labelstringOptionalExample: test
sectionNamestringOptional
defaultValuestringOptionalExample: test
sortOrderintegerOptionalExample: 1
Responses
200

Attribute added successfully

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Attribute added successfully.
post/attribute/
POST /backend/api/attribute/ HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 202

{
  "name": "test",
  "type": "short-text",
  "isMandatory": 0,
  "useAsFilter": 1,
  "isActive": 1,
  "description": "test",
  "label": "test",
  "sectionName": "",
  "defaultValue": "test",
  "attributeValues": [
    {
      "value": ""
    }
  ],
  "sortOrder": 1
}
200

Attribute added successfully

{
  "status": 1,
  "message": "Attribute added successfully."
}

Get attribute group list

get
/attribute-group/

Retrieves a list of attribute groups with optional pagination and search filters.

Query parameters
limitintegerOptional

Number of items to return per page.

Default: 10
offsetintegerOptional

Offset to start listing attribute groups from.

Default: 0
keywordstringOptional

Search keyword to filter attribute groups.

countintegerOptional

Flag to return count of attribute groups.

Default: 0
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the attribute group list

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got the attribute group list.
get/attribute-group/
GET /backend/api/attribute-group/ HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
200

Successfully retrieved the attribute group list

{
  "status": 1,
  "message": "Successfully got the attribute group list."
}

Create a new attribute group

post
/attribute-group/

Creates a new attribute group with the specified details.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequired

The name of the attribute group.

Example: testg
sortOrderintegerRequired

The sort order of the attribute group.

Example: 1
attributeIdsinteger[]Required

List of attribute IDs associated with the group.

Example: [106]
Responses
200

Successfully created the attribute group

application/json
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully added Attribute Group
post/attribute-group/
POST /backend/api/attribute-group/ HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "name": "testg",
  "sortOrder": 1,
  "attributeIds": [
    106
  ]
}
200

Successfully created the attribute group

{
  "status": 1,
  "message": "Successfully added Attribute Group"
}

Get attribute group by ID

get
/attribute-group/{id}

Retrieves details of a specific attribute group by its ID.

Path parameters
idintegerRequired

The ID of the attribute group to retrieve.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the attribute group

application/json
statusintegerOptional
messagestringOptional
get/attribute-group/{id}
GET /backend/api/attribute-group/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully Got attribute group"
}

Update attribute group by ID

put
/attribute-group/{id}

Updates an existing attribute group.

Path parameters
idintegerRequired

The ID of the attribute group to be updated.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequiredExample: Updated Group Name
sortOrderintegerRequiredExample: 1
attributeIdsinteger[]RequiredExample: [106,107]
Responses
200

Successfully updated the attribute group

application/json
statusintegerOptional
messagestringOptional
put/attribute-group/{id}
PUT /backend/api/attribute-group/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "name": "Updated Group Name",
  "sortOrder": 1,
  "attributeIds": [
    106,
    107
  ]
}
{
  "status": 1,
  "message": "Successfully updated Attribute Group"
}

Delete attribute group by ID

delete
/attribute-group/{id}

Deletes an existing attribute group.

Path parameters
idintegerRequired

The ID of the attribute group to be deleted.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the attribute group

statusintegerOptional
messagestringOptional
delete/attribute-group/{id}
DELETE /backend/api/attribute-group/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Get translations for an attribute group by ID

get
/attribute-group-translation/attribute-group/{id}

Retrieves the translation for the specified attribute group.

Path parameters
idintegerRequired

The ID of the attribute group to retrieve translations for.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved translation for the attribute group

statusintegerOptional
messagestringOptional
get/attribute-group-translation/attribute-group/{id}
GET /backend/api/attribute-group-translation/attribute-group/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Create translation for an attribute group by ID

post
/attribute-group-translation/attribute-group/{id}

Creates a new translation for the specified attribute group.

Path parameters
idintegerRequired

The ID of the attribute group to create a translation for.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Bodyobject[]
languagestringRequired

The language of the translation.

translatedNamestringRequired

The translated name for the attribute group.

translatedDescriptionstringOptional

The translated description for the attribute group.

Responses
200

Successfully created translation for the attribute group

statusintegerOptional
messagestringOptional
post/attribute-group-translation/attribute-group/{id}
POST /backend/api/attribute-group-translation/attribute-group/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 76

[
  {
    "language": "text",
    "translatedName": "text",
    "translatedDescription": "text"
  }
]
{
  "status": 1,
  "message": "text"
}

Get list of specifications

get
/specification/

Fetches a list of specifications with optional filtering.

Query parameters
limitintegerOptional

The number of specifications to return (pagination).

Default: 10
offsetintegerOptional

The offset from where to start retrieving specifications.

Default: 0
keywordstringOptional

A search keyword to filter specifications by.

countintegerOptional

If set to 1, only returns the count of specifications instead of the list.

Default: 0
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the list of specifications

statusintegerOptional
messagestringOptional
get/specification/
GET /backend/api/specification/ HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Get list of attribute groups

get
/attribute-group

Fetches a list of attribute groups with optional filtering.

Query parameters
limitintegerOptional

The number of attribute groups to return (pagination).

Default: 10
offsetintegerOptional

The offset from where to start retrieving attribute groups.

Default: 0
countintegerOptional

If set to 1, only returns the count of attribute groups instead of the list.

Default: 0
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the list of attribute groups

statusintegerOptional
messagestringOptional
get/attribute-group
GET /backend/api/attribute-group HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "text"
}

Get list of specifications

get
/specification

This endpoint retrieves the list of specifications.

Query parameters
limitintegerOptional

Number of records to return

Default: 10
offsetintegerOptional

The starting position of the records

Default: 0
keywordstringOptional

Keyword for searching specifications

countintegerOptional

Whether to return the count of records (0 = no, 1 = yes)

Default: 0
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the list of specifications

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got Specification List.
get/specification
GET /backend/api/specification HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got Specification List."
}

Create a new specification

post
/specification

This endpoint is used to create a new specification, which may include associated attribute groups and attributes.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringOptionalExample: tests
statusintegerOptionalExample: 1
attributeGroupIdinteger[]OptionalExample: 101
Responses
200

Successfully created the specification

statusintegerOptional
messagestringOptional
post/specification
POST /backend/api/specification HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 116

{
  "name": "tests",
  "status": 1,
  "attributeGroup": [
    {
      "attributeGroupId": 36,
      "attributeIds": [
        102
      ]
    }
  ],
  "attributeGroupId": [
    101
  ]
}
{
  "status": 1,
  "message": "text"
}

Get a specification by ID

get
/specification/{id}

This endpoint retrieves a specification based on the provided specification ID.

Path parameters
idintegerRequired

ID of the specification to retrieve

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the specification

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Got Specification.
get/specification/{id}
GET /backend/api/specification/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully Got Specification."
}

Update a specification by ID

put
/specification/{id}

This endpoint updates a specification based on the provided specification ID.

Path parameters
idintegerRequired

ID of the specification to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
namestringRequiredExample: tests
statusintegerRequiredExample: 1
attributeGroupIdinteger[]Optional
deleteAttributeGroupIdsinteger[]Optional
idstringOptionalExample: 52
Responses
200

Successfully updated the specification

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Update Specification.
put/specification/{id}
PUT /backend/api/specification/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 154

{
  "name": "tests",
  "status": 1,
  "attributeGroup": [
    {
      "attributeGroupId": 36,
      "attributeIds": [
        102
      ]
    }
  ],
  "attributeGroupId": [
    1
  ],
  "deleteAttributeGroupIds": [
    1
  ],
  "id": "52"
}
{
  "status": 1,
  "message": "Successfully Update Specification."
}

Delete a specification by ID

delete
/specification/{id}

This endpoint deletes a specification based on the provided specification ID.

Path parameters
idintegerRequired

ID of the specification to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the specification

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted Specification..!
delete/specification/{id}
DELETE /backend/api/specification/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted Specification..!"
}

Get specification translation details by ID

get
/specification-translation/specification/{id}

This endpoint retrieves the translation details of a specification by its ID.

Path parameters
idintegerRequired

ID of the specification translation to retrieve

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved specification translation details

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got specification translation detail
get/specification-translation/specification/{id}
GET /backend/api/specification-translation/specification/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got specification translation detail"
}

Create new specification translation for the given specification ID

post
/specification-translation/specification/{id}

This endpoint creates a new translation for the specified specification by its ID.

Path parameters
idintegerRequired

ID of the specification to add the translation for

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body

Details of the new specification translation

languagestringOptionalExample: en
translationstringOptionalExample: This is the translated specification
Responses
200

Successfully created new specification translation

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully created new specification translation
post/specification-translation/specification/{id}
POST /backend/api/specification-translation/specification/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 70

{
  "language": "en",
  "translation": "This is the translated specification"
}
{
  "status": 1,
  "message": "Successfully created new specification translation"
}

Get list of specification categories

get
/specification/category

This endpoint retrieves the list of specification categories, with optional query parameters for filtering and pagination.

Query parameters
limitintegerOptional

Number of records to return

Default: 10
offsetintegerOptional

The starting position of the records

Default: 0
keywordstringOptional

Keyword for searching specification categories

countintegerOptional

Whether to return the count of records (0 = no, 1 = yes)

Default: 0
Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the list of specification categories

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Got Specification Category List.
get/specification/category
GET /backend/api/specification/category HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully Got Specification Category List."
}

Update specification for a category

put
/specification/category

This endpoint updates the specifications assigned to a category.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Bodyobject[]
categoryIdintegerRequired

The ID of the category

Example: 1424
specificationIdsinteger[]Required

List of specification IDs to associate with the category

Example: 51
deleteSpecificationIdsinteger[]Optional

List of specification IDs to remove from the category

Responses
200

Successfully updated the specifications for the category

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Updated Specification To Category.
put/specification/category
PUT /backend/api/specification/category HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 74

[
  {
    "categoryId": 1424,
    "specificationIds": [
      51
    ],
    "deleteSpecificationIds": [
      1
    ]
  }
]
{
  "status": 1,
  "message": "Successfully Updated Specification To Category."
}

Get a list of site filters

get
/site-filter/site-filter-list

This endpoint retrieves a list of site filters based on the specified query parameters.

Query parameters
limitintegerOptional

Number of records to return.

offsetintegerOptional

The starting point for the filter records.

keywordstringOptional

Search keyword for filtering the list.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the filter list

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got filter list
get/site-filter/site-filter-list
GET /backend/api/site-filter/site-filter-list HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got filter list"
}

Create a new site filter

post
/site-filter/create-site-filter

This endpoint creates a new site filter based on the provided data.

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
filterNamestringOptional

The name of the filter

categoryIdinteger[]Optional

A list of category IDs associated with the filter

Responses
200

Successfully created the site filter

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully created a new Filter
post/site-filter/create-site-filter
POST /backend/api/site-filter/create-site-filter HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 112

{
  "filterName": "text",
  "categoryId": [
    1
  ],
  "section": [
    {
      "sectionType": 1,
      "sectionItem": [
        "text"
      ],
      "sectionName": "text"
    }
  ]
}
{
  "status": 1,
  "message": "Successfully created a new Filter"
}

Get details of a specific site filter

get
/site-filter/filter-detail/{id}

This endpoint retrieves the details of a site filter by its ID.

Path parameters
idintegerRequired

The ID of the site filter

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully retrieved the filter details

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got filter detail
get/site-filter/filter-detail/{id}
GET /backend/api/site-filter/filter-detail/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got filter detail"
}

Update a site filter

put
/site-filter/update-site-filter/{id}

This endpoint updates the details of a site filter by its ID.

Path parameters
idintegerRequired

The ID of the site filter to update

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Body
filterNamestringRequired

The name of the site filter

categoryIdinteger[]Required

List of category IDs associated with the filter

editIdstringRequired

The ID of the site filter being edited

Responses
200

Successfully updated the site filter

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully updated the site filter
put/site-filter/update-site-filter/{id}
PUT /backend/api/site-filter/update-site-filter/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: */*
Accept: */*
Content-Length: 142

{
  "filterName": "text",
  "categoryId": [
    1
  ],
  "section": [
    {
      "sectionType": 1,
      "sectionItem": [
        "text"
      ],
      "sectionName": "text",
      "sectionId": 1
    }
  ],
  "editId": "text"
}
{
  "status": 1,
  "message": "Successfully updated the site filter"
}

Delete a site filter

delete
/site-filter/delete-site-filter/{id}

This endpoint deletes a specific site filter by its ID.

Path parameters
idintegerRequired

The ID of the site filter to delete

Header parameters
AuthorizationstringRequired

Bearer token for authentication.

Responses
200

Successfully deleted the site filter

*/*
statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully deleted the filter
delete/site-filter/delete-site-filter/{id}
DELETE /backend/api/site-filter/delete-site-filter/{id} HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully deleted the filter"
}

Last updated